CREATE TABLE doo_hold_access_roles (
    HOLD_ACCESS_ROLE_ID      NUMBER(18, 0),
    ROLE_ID                  NUMBER(18, 0)    NOT NULL,
    APPLY_HOLD_FLAG          VARCHAR2(4)      NOT NULL,
    RELEASE_HOLD_FLAG        VARCHAR2(4)      NOT NULL,
    HOLD_CODE_ID             NUMBER(18, 0)    NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    HOLD_ACCESS_ROLE_ID      NUMBER(18, 0),
    ROLE_ID                  NUMBER(18, 0)    NOT NULL,
    APPLY_HOLD_FLAG          VARCHAR2(4)      NOT NULL,
    RELEASE_HOLD_FLAG        VARCHAR2(4)      NOT NULL,
    HOLD_CODE_ID             NUMBER(18, 0)    NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_doo_hold_access_roles PRIMARY KEY (HOLD_ACCESS_ROLE_ID, HOLD_ACCESS_ROLE_ID)
);
